Subject: Re: [Teep] AD review of draft-ietf-teep-architecture-15

From: Benjamin Kaduk <[email-masked]>
Date: Thu, 17 Mar 2022 12:59:40 -0700

Hi Dave,

Thanks for the updates to this and the HTTP transport.
Everything looks good, so I'll go kick off the IETF LC (which will be
extended a week as it overlaps IETF 113).

On Tue, Mar 01, 2022 at 12:13:38AM +0000, Dave Thaler wrote:
> Ok, I've now addressed the comments on this document and will submit an update soon.  Responses with [DT] below.
[...]
> Section 9.4
> 
> 
> 
>    certificate.  Such validation includes checking for certificate
> 
>    revocation.  See Section 6 of [RFC5280] for details.
> 
> 
> 
> Might OCSP (including stapling) or other non-CRL mechanisms be in scope?  Is it worth mentioning RFC 6960 or 6961 as well as 5280 here?
> 
> 
> 
> [DT] At IETF 111, the TEEP WG got consensus to not depend on OCSP and remove such references from the protocol spec.   Meeting discussion is documented in https://datatracker.ietf.org/meeting/111/materials/minutes-111-teep-00 which says
> 
> among other things:
> 
>   *   Russ made the argument that OCSP stappling might be difficult for constrained node. He was arguing that there are more lightweight solutions.
>   *   Ben: OCSP does not really make sense with COSE. You might just be using hard-coded keys and you might be updating keys with software updates. It is probably still worth to mention that there is a need for revocation.

Haha, I guess my memory is going :)
Thanks for the reminder.

-Ben

---

From: Dave Thaler <[email-masked]>
Date: Thu, 17 Mar 2022 22:21:53 +0000

Great, thanks Ben!

-----Original Message-----
From: TEEP <[email-masked]> On Behalf Of Benjamin Kaduk
Sent: Thursday, March 17, 2022 1:00 PM
To: Dave Thaler <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: Re: [Teep] AD review of draft-ietf-teep-architecture-15

Hi Dave,

Thanks for the updates to this and the HTTP transport.
Everything looks good, so I'll go kick off the IETF LC (which will be extended a week as it overlaps IETF 113).

[...]
> [DT] At IETF 111, the TEEP WG got consensus to not depend on OCSP and remove such references from the protocol spec.   Meeting discussion is documented in https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fmeeting%2F111%2Fmaterials%2Fminutes-111-teep-00&amp;data=04%7C01%7Cdthaler%40microsoft.com%7C924fe8bc1853401cbf7808da0850b862%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C637831440480799292%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=rR%2FCcLrVFTEAsZTEkxzl%2BU6YCs3HUkgykfWo9nWbnqM%3D&amp;reserved=0 which says
> 
> among other things:
> 

-Ben

_______________________________________________
TEEP mailing list
[email-masked]
https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fteep&amp;data=04%7C01%7Cdthaler%40microsoft.com%7C924fe8bc1853401cbf7808da0850b862%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C637831440480799292%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=yahJQJJyIjusTeF%2B12E3nobDFrvVlqXO3xgcZAhKObA%3D&amp;reserved=0

---

From: Mingliang Pei <[email-masked]>
Date: Thu, 17 Mar 2022 16:39:44 -0700

Hi Ben, thanks very much, Ming

On Thu, Mar 17, 2022 at 3:22 PM Dave Thaler <[email-masked]> wrote:

> > Might OCSP (including stapling) or other non-CRL mechanisms be in
> scope?  Is it worth mentioning RFC 6960 or 6961 as well as 5280 here?
> >
> >
> >
> > [DT] At IETF 111, the TEEP WG got consensus to not depend on OCSP and
> remove such references from the protocol spec.   Meeting discussion is
> documented in
> https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fmeeting%2F111%2Fmaterials%2Fminutes-111-teep-00&amp;data=04%7C01%7Cdthaler%40microsoft.com%7C924fe8bc1853401cbf7808da0850b862%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C637831440480799292%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=rR%2FCcLrVFTEAsZTEkxzl%2BU6YCs3HUkgykfWo9nWbnqM%3D&amp;reserved=0
> which says
> >
> > among other things:
> >
> >   *   Russ made the argument that OCSP stappling might be difficult for
> constrained node. He was arguing that there are more lightweight solutions.
> >   *   Ben: OCSP does not really make sense with COSE. You might just be
> using hard-coded keys and you might be updating keys with software updates.
> It is probably still worth to mention that there is a need for revocation.
>

-- 
This electronic communication and the information and any files transmitted 
with it, or attached to it, are confidential and are intended solely for 
the use of the individual or entity to whom it is addressed and may contain 
information that is confidential, legally privileged, protected by privacy 
laws, or otherwise restricted from disclosure to anyone else. If you are 
not the intended recipient or the person responsible for delivering the 
e-mail to the intended recipient, you are hereby notified that any use, 
copying, distributing, dissemination, forwarding, printing, or copying of 
this e-mail is strictly prohibited. If you received this e-mail in error, 
please return the e-mail to the sender, delete it from your computer, and 
destroy any printed copy of it.